## org.springframework.http.converter.xml
Class XmlAwareFormHttpMessageConverter

    java.lang.Object
      org.springframework.http.converter.FormHttpMessageConverter
          org.springframework.http.converter.xml.XmlAwareFormHttpMessageConverter

All Implemented Interfaces:
  HttpMessageConverter<MultiValueMap<String,?>>

    public class XmlAwareFormHttpMessageConverter

extends FormHttpMessageConverter

Extension of `FormHttpMessageConverter`, adding support for XML-based parts through a `SourceHttpMessageConverter`.

Since:
  3.0.3
Author:
  Juergen Hoeller

Constructor Summary
`XmlAwareFormHttpMessageConverter()`

Method Summary

Methods inherited from class org.springframework.http.converter.FormHttpMessageConverter
`addPartConverter, canRead, canWrite, generateMultipartBoundary, getFilename, getSupportedMediaTypes, read, setCharset, setPartConverters, setSupportedMediaTypes, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlAwareFormHttpMessageConverter

    public XmlAwareFormHttpMessageConverter()